ixgbe(4): Update to 3.2.11-k
ClosedPublic

Authored by cramerj_intel.com on Jan 24 2017, 1:53 AM.

Details

Summary

Legacy ixgbe driver update, including:

  1. Support for X553 (Denverton) devices.
  2. Initialization code refactoring.
  3. ixgbe-specific netmap code moved to ixgbe folder (but not removed from dev/netmap/).
  4. VF driver full split. Some cleanup can be had due to redundant code, but this split goes inline with the refactoring.

NOTE: This is to be applied on the 10-STABLE tree (and not HEAD). The idea is that many of these changes will be ported to the iflib version of ixgbe. The legacy version residing in HEAD may or may not be updated at a later time. For HEAD, our focus will mainly be on the iflib driver.

Test Plan

Compile-tested with minimal touch-testing for the PF driver (none for VF). Respectfully request waiting for Jeff's team to perform a validation pass before committing.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cramerj_intel.com retitled this revision from to ixgbe(4): Update to 3.2.11-k.Jan 24 2017, 1:53 AM
cramerj_intel.com updated this object.
cramerj_intel.com edited the test plan for this revision. (Show Details)
cramerj_intel.com set the repository for this revision to rS FreeBSD src repository.
jeffrey.e.pieper_intel.com requested changes to this revision.Jan 24 2017, 3:38 PM

It looks like ixv fails to build on 10/stable:

/diskless/os/FreeBSD/10.3-STABLE_2017-01-24_D9310_ix-3.2.11-k/usr/src/sys/modules/ixv/../../dev/ixgbe/if_ixv.c:776:6: error: impl icit declaration of function 'ixgbe_setup_transmit_structures' is invalid in C99 [-Werror,-Wimplicit-function-declaration]

if (ixgbe_setup_transmit_structures(adapter)) {
    ^
  • all_subdir_ixgbe ---

ctfconvert -L VERSION -g ixgbe.o

  • all_subdir_ixlv ---
  • ixlvc.o ---
  • all_subdir_ixv ---

/diskless/os/FreeBSD/10.3-STABLE_2017-01-24_D9310_ix-3.2.11-k/usr/src/sys/modules/ixv/../../dev/ixgbe/if_ixv.c:776:6: note: did y ou mean 'ixv_setup_transmit_structures'?
/diskless/os/FreeBSD/10.3-STABLE_2017-01-24_D9310_ix-3.2.11-k/usr/src/sys/modules/ixv/../../dev/ixgbe/ixv.h:683:6: note: 'ixv_set up_transmit_structures' declared here
int ixv_setup_transmit_structures(struct adapter *);

^
  • all_subdir_isci ---
  • scic_sds_remote_node_context.o ---
  • all_subdir_ixv ---

1 error generated.

This revision now requires changes to proceed.Jan 24 2017, 3:38 PM

See attachment since Phabricator apparently didn't like the formatting of my paste...

  • Fixed compilation error for the VF driver.
This revision is now accepted and ready to land.Mar 3 2017, 3:31 PM
erj added a subscriber: erj.Mar 13 2017, 8:04 PM
erj edited the summary of this revision. (Show Details)Mar 15 2017, 9:19 PM
This revision was automatically updated to reflect the committed changes.